# Generated by Django 5.2.1 on 2025-05-22 08:59

import django.db.models.deletion
from django.db import migrations, models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='WebhookConfiguration',
            fields=[
                ('id', models.AutoField(primary_key=True, serialize=False)),
                ('name', models.CharField(help_text='Descriptive name for this webhook', max_length=255, verbose_name='name')),
                ('secret', models.CharField(help_text='Secret used to authenticate this webhook', max_length=255, unique=True, verbose_name='secret')),
                ('is_active', models.BooleanField(default=True, help_text='Is this webhook configuration active?')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='When this webhook configuration was created')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='When this webhook configuration was last updated')),
                ('description', models.TextField(blank=True, help_text='Description of this webhook configuration (Optional)')),
            ],
            options={
                'verbose_name': 'Webhook Configuration',
                'verbose_name_plural': 'Webhook Configurations',
                'db_table': 'django_webhook_receiver_webhook_configuration',
                'ordering': ['-id'],
            },
        ),
        migrations.CreateModel(
            name='WebhookPermission',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('signal_type', models.CharField(help_text='Type of signal this permission applies to', max_length=255, verbose_name='signal type')),
                ('source', models.CharField(help_text='Name of the model (source) this permission applies to', max_length=255, verbose_name='source')),
                ('url_pattern', models.CharField(help_text='URL pattern this permission applies to', max_length=255, verbose_name='URL pattern')),
                ('allowed_methods', models.CharField(blank=True, help_text='HTTP methods allowed for this permission (Optional)', max_length=255, verbose_name='allowed methods')),
                ('created_at', models.DateTimeField(auto_now_add=True, help_text='When this permission was created')),
                ('updated_at', models.DateTimeField(auto_now=True, help_text='When this permission was last updated')),
                ('configuration', models.ForeignKey(help_text='Webhook configuration this permission belongs to', on_delete=django.db.models.deletion.CASCADE, related_name='permissions', to='django_webhook_receiver.webhookconfiguration')),
            ],
            options={
                'verbose_name': 'Webhook Permission',
                'verbose_name_plural': 'Webhook Permissions',
                'db_table': 'django_webhook_receiver_webhook_permission',
                'ordering': ['-id'],
            },
        ),
    ]
